Subject: Re: bug#23917: 25.0.95; commit 3a9d6296b35e5317c497674d5725eb52699bd3b8 causing org-capture to error out

From: [email-masked] (N. Jackson)
Date: Thu, 21 Jul 2016 11:24:53 -0300

At 10:19 +0200 on Thursday 2016-07-21, Robert Pluim wrote:
>
> [email-masked] (N. Jackson) writes:
>
>> At 20:56 -0400 on Wednesday 2016-07-20, [email-masked] wrote:
>>>
>>> From: Noam Postavsky <[email-masked]>
>>> Subject: [PATCH v1] Adjust match data before calling after-change-funs
>>
>> It puzzles me that your patch doesn't work for the emacs -Q recipe but
>> does work for my normal configuration, so much so that I suspected that
>> I had made a mistake, but I have reset and reapplied the patch three
>> times and I continue to see the same results.
>
> You're not alone: this patch doesn't fix the issue for me either with
> emacs -Q or with my normal capture templates.

FWIW, taking into account that I needed to rebuild Org Mode using the
patched Emacs, I redid my tests of Noam's patch and got the same
puzzling results as before. That is the patch *does* fix the problem for
me with my normal caputure templates, but it does not fix the problem
with the simple recipe in emacs -Q.

N.